//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2011)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org

#include <iostream>
#include <string>
#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

using namespace std;
class getWellData
{
  public:
         getWellData(){};
         ~getWellData(){};
         void setFile(char file_load[]);
         void getPointsFromFile();
         void analyze_file_content();
         long getNumberWells() const {return lngNumWells;}
//         long getNumberPoints() const {return num_points;}
         void getPoints(double x_value[], double y_value[], double z_value[], double discharge_v[]);
                  
  private: 
         char *infile;  
//         long num_points;
         double *x;
         double *y;
         double *z;
         double *discharge;
         string file_content; 
         long lngNumWells;     
};
